# Uses of Interface
org.opensaml.saml.ext.saml2mdquery.ActionNamespace

Packages that use ActionNamespace
Package
Description
org.opensaml.saml.ext.saml2mdquery
Interfaces for SAML 2 Metadata Profile for Standalone Query Requesters.
org.opensaml.saml.ext.saml2mdquery.impl
Implementation for SAML v2.0 Metadata Extension for Stand-Alone Query Requesters.

## Uses of ActionNamespace in org.opensaml.saml.ext.saml2mdquery

Methods in org.opensaml.saml.ext.saml2mdquery that return types with arguments of type ActionNamespace
Modifier and Type
Method
Description
`List<ActionNamespace>`
AuthzDecisionQueryDescriptorType.`getActionNamespaces()`
Gets the list of action namespaces support by this role.

## Uses of ActionNamespace in org.opensaml.saml.ext.saml2mdquery.impl

Classes in org.opensaml.saml.ext.saml2mdquery.impl that implement ActionNamespace
Modifier and Type
Class
Description
`class`
`ActionNamespaceImpl`
Concrete implementation of `ActionNamespace`.
Fields in org.opensaml.saml.ext.saml2mdquery.impl with type parameters of type ActionNamespace
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ActionNamespace>`
AuthzDecisionQueryDescriptorTypeImpl.`actionNamespaces`
Supported action namespaces.
Methods in org.opensaml.saml.ext.saml2mdquery.impl that return ActionNamespace
Modifier and Type
Method
Description
`ActionNamespace`
ActionNamespaceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ActionNamespace`
ActionNamespaceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.saml2mdquery.impl that return types with arguments of type ActionNamespace
Modifier and Type
Method
Description
`List<ActionNamespace>`
AuthzDecisionQueryDescriptorTypeImpl.`getActionNamespaces()`
Gets the list of action namespaces support by this role.